Package Details: rankcheck 1.5.2-3

Git Clone URL: https://aur.archlinux.org/rankcheck.git (read-only, click to copy)
Package Base: rankcheck
Description: A tool for Awesomenauts which automatically fetches and displays the leaderboard ranks of each player in the current match
Upstream URL: https://rankcheck.marukyu.de/
Licenses: MIT
Submitter: Forty-Bot
Maintainer: Forty-Bot
Last Packager: Forty-Bot
Votes: 1
Popularity: 0.000094
First Submitted: 2018-02-12 22:19
Last Updated: 2021-01-20 22:54

Latest Comments

1 2 Next › Last »

micwoj92 commented on 2021-01-21 04:04

Now getting error curl: (22) The requested URL returned error: 404 ==> ERROR: Failure while downloading https://sourceforge.net/projects/tinyfiledialogs/files/v3.4/tinyfiledialogs-3.4.3.zip Aborting...

Probably should be https://sourceforge.net/projects/tinyfiledialogs/files/frozen_versions/tinyfiledialogs-3.4.3.zip

Forty-Bot commented on 2021-01-20 22:54

@micwoj92 ok, should be fixed

micwoj92 commented on 2021-01-20 07:52

==> ERROR: Failure while downloading https://rankcheck.marukyu.de/files/rankcheck.dat Aborting...

Forty-Bot commented on 2020-05-05 19:41

Sorry, I can't reproduce your error locally. Here's my build log if it helps.

AlexWayfer commented on 2020-05-05 11:26

@Forty-Bot, please, answer. I can't install this package.

AlexWayfer commented on 2020-04-26 16:39

Oh, OK, thank you. So, how can I fix this error?

> yay -S --needed rankcheck --cleanmenu
:: Checking for conflicts...
:: Checking for inner conflicts...
[Aur: 1]  rankcheck-1.5.2-2

  1 rankcheck                        (Build Files Exist)
==> Packages to cleanBuild?
==> [N]one [A]ll [Ab]ort [I]nstalled [No]tInstalled or (1 2 3, 1-3, ^4)
==> a
:: Deleting (1/1): /home/alex/.cache/yay/rankcheck
:: Downloaded PKGBUILD (1/1): rankcheck
:: Parsing SRCINFO (1/1): rankcheck
==> Making package: rankcheck 1.5.2-2 (Sun 26 Apr 2020 19:38:53 MSK)
==> Retrieving sources...
  -> Downloading v1.5.2.tar.gz...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100   125  100   125    0     0    180      0 --:--:-- --:--:-- --:--:--   180
100  205k    0  205k    0     0   131k      0 --:--:--  0:00:01 --:--:--  553k
  -> Downloading rankcheck.dat...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 1621k  100 1621k    0     0  1304k      0  0:00:01  0:00:01 --:--:-- 1304k
  -> Downloading tinyfiledialogs-3.4.3.zip...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 21171  100 21171    0     0  19494      0  0:00:01  0:00:01 --:--:-- 19494
100 21158  100 21158    0     0  15992      0  0:00:01  0:00:01 --:--:-- 15992
100   443  100   443    0     0    275      0  0:00:01  0:00:01 --:--:--     0
100   357  100   357    0     0    144      0  0:00:02  0:00:02 --:--:-- 17000
100  144k  100  144k    0     0  26540      0  0:00:05  0:00:05 --:--:-- 78206
==> Validating source files with md5sums...
    v1.5.2.tar.gz ... Passed
    rankcheck.dat ... Passed
    tinyfiledialogs-3.4.3.zip ... Passed
==> Making package: rankcheck 1.5.2-2 (Sun 26 Apr 2020 19:39:03 MSK)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Found v1.5.2.tar.gz
  -> Found rankcheck.dat
  -> Found tinyfiledialogs-3.4.3.zip
==> Validating source files with md5sums...
    v1.5.2.tar.gz ... Passed
    rankcheck.dat ... Passed
    tinyfiledialogs-3.4.3.zip ... Passed
==> Removing existing $srcdir/ directory...
==> Extracting sources...
  -> Extracting v1.5.2.tar.gz with bsdtar
  -> Extracting tinyfiledialogs-3.4.3.zip with bsdtar
==> Starting prepare()...
==> Sources are ready.
==> Making package: rankcheck 1.5.2-2 (Sun 26 Apr 2020 19:39:05 MSK)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> WARNING: Using existing $srcdir/ tree
==> Starting build()...
-- The C compiler identification is GNU 9.3.0
-- The CXX compiler identification is GNU 9.3.0
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc - works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ - works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Found SFML 2.5.1 in /usr/include
CMake Warning (dev) at /usr/share/cmake-3.17/Modules/FindOpenGL.cmake:305 (message):
  Policy CMP0072 is not set: FindOpenGL prefers GLVND by default when
  available.  Run "cmake --help-policy CMP0072" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.

  FindOpenGL found both a legacy GL library:

    OPENGL_gl_LIBRARY: /usr/lib/libGL.so

  and GLVND libraries for OpenGL and GLX:

    OPENGL_opengl_LIBRARY: /usr/lib/libOpenGL.so
    OPENGL_glx_LIBRARY: /usr/lib/libGLX.so

  OpenGL_GL_PREFERENCE has not been set to "GLVND" or "LEGACY", so for
  compatibility with CMake 3.10 and below the legacy GL library will be used.
Call Stack (most recent call first):
  CMakeLists.txt:62 (find_package)
This warning is for project developers.  Use -Wno-dev to suppress it.

-- Found OpenGL: /usr/lib/libOpenGL.so   
-- Found ZLIB: /usr/lib/libz.so (found version "1.2.11") 
CMake Error at /usr/share/cmake-3.17/Modules/ExternalProject.cmake:2659 (message):
  No download info given for 'project_pugixml' and its source directory:

   /home/alex/.cache/yay/rankcheck/src/RankCheck-1.5.2/src/Shared/External/pugixml

  is not an existing non-empty directory.  Please specify one of:

   * SOURCE_DIR with an existing non-empty directory
   * DOWNLOAD_COMMAND
   * URL
   * GIT_REPOSITORY
   * SVN_REPOSITORY
   * HG_REPOSITORY
   * CVS_REPOSITORY and CVS_MODULE
Call Stack (most recent call first):
  /usr/share/cmake-3.17/Modules/ExternalProject.cmake:3267 (_ep_add_download_command)
  src/Shared/External/CMakeLists.txt:33 (ExternalProject_Add)


-- Configuring incomplete, errors occurred!
See also "/home/alex/.cache/yay/rankcheck/src/RankCheck-1.5.2/build/CMakeFiles/CMakeOutput.log".
==> ERROR: A failure occurred in build().
    Aborting...
Error making: rankcheck

Forty-Bot commented on 2020-04-26 16:34

This package does not use git to build, since it is not a *-git package. It is built from the tarball produced by github, which includes all submodules except tinyfiledialog, which is downloaded by the PKGBUILD separately.

AlexWayfer commented on 2020-04-26 16:00

@Forty-Bot do you read my messages? We have to pull git submodules to build this app. This app is not installing right now. I've post a link to the issue.

Forty-Bot commented on 2020-04-26 14:20

This does not use git to build.

AlexWayfer commented on 2020-04-26 11:17

So, please, can you add git pull --recurse-submodules command into PKGBUILD? And maybe git should be a dependency.